Interface Notifications

All Known Implementing Classes:
NotificationsImpl

public interface Notifications
Client interface for accessing IBX and network notifications in the Equinix Customer Portal.

Backed by the Notifications v1 API at /v1/notifications. IBX and network notifications are searched separately and retrieved individually by id.

  • Method Details

    • searchIbx

      List<? extends Notification> searchIbx(NotificationSearchRequest request)
      Searches IBX notifications (maintenance, incidents, advisories).

      Maps to POST /v1/notifications/ibx/search (search-ibx-notifications).

      Parameters:
      request - the search request body
      Returns:
      the matching IBX notifications
    • searchIbx

      List<? extends Notification> searchIbx(NotificationSearchRequest request, Integer offset, Integer limit)
      Searches IBX notifications (maintenance, incidents, advisories), paging the results.

      Maps to POST /v1/notifications/ibx/search (search-ibx-notifications).

      Parameters:
      request - the search request body
      offset - the index of the first item returned (zero-based), or null for the default
      limit - the maximum number of items returned per page, or null for the default
      Returns:
      the matching IBX notifications
    • searchNetwork

      List<? extends Notification> searchNetwork(NotificationSearchRequest request)
      Searches network notifications (network maintenance and incidents).

      Maps to POST /v1/notifications/network/search (search-network-notifications).

      Parameters:
      request - the search request body
      Returns:
      the matching network notifications
    • searchNetwork

      List<? extends Notification> searchNetwork(NotificationSearchRequest request, Integer offset, Integer limit)
      Searches network notifications (network maintenance and incidents), paging the results.

      Maps to POST /v1/notifications/network/search (search-network-notifications).

      Parameters:
      request - the search request body
      offset - the index of the first item returned (zero-based), or null for the default
      limit - the maximum number of items returned per page, or null for the default
      Returns:
      the matching network notifications
    • getIbxById

      Notification getIbxById(String id)
      Retrieves an IBX notification by id.

      Maps to GET /v1/notifications/ibx/{id} (get-ibx-Notification).

      Parameters:
      id - the notification id
      Returns:
      the matching IBX notification
    • getNetworkById

      Notification getNetworkById(String id)
      Retrieves a network notification by id.

      Maps to GET /v1/notifications/network/{id} (get-network-Notification).

      Parameters:
      id - the notification id
      Returns:
      the matching network notification